> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Refund a money transaction

> Refund a succeeded money transaction, fully or partially, through the payment gateway it was paid with. <h3>OAuth</h3>Required scopes: <code>transactions</code>



## OpenAPI

````yaml /assets/openapi.json post /transactions/money/v1/{transactionId}/refund
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /transactions/money/v1/{transactionId}/refund:
    post:
      tags:
        - Transactions
      summary: Refund a money transaction
      description: >-
        Refund a succeeded money transaction, fully or partially, through the
        payment gateway it was paid with. <h3>OAuth</h3>Required scopes:
        <code>transactions</code>
      operationId: refundMoneyTransaction
      parameters:
        - in: path
          name: transactionId
          required: true
          description: The id of the transaction.
          schema:
            type: string
            format: uuid
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/refundMoneyTransaction'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/refundMoneyTransaction'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - transactions
components:
  requestBodies:
    refundMoneyTransaction:
      content:
        application/json:
          schema:
            type: object
            properties:
              transaction:
                description: Refund options for the transaction.
                type: object
                properties:
                  amount:
                    description: >-
                      Amount to refund in major units. Defaults to the full
                      refundable amount.
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
      required: false
  schemas:
    refundMoneyTransaction:
      type: object
      properties:
        refund:
          type: object
          properties:
            currencyCode:
              type: string
              description: Currency code of the refunded amount.
            money:
              type: number
              description: Refunded amount.
          required:
            - currencyCode
            - money
          additionalProperties: false
          description: The refund that was made.
      required:
        - refund
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````